"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const test = require("tape");
const package_preview_1 = require("package-preview");
const tempy = require("tempy");
const fixturesDir = path.join(__dirname, 'fixtures');
test('packagePreview()', (t) => __awaiter(this, void 0, void 0, function* () {
    const what = path.join(fixturesDir, 'simple');
    const where = tempy.directory();
    package_preview_1.default(what, where)
        .then(() => {
        t.ok(require(`${where}/node_modules/simple/findsProdDep`)());
        t.ok(require(`${where}/node_modules/simple/doesNotFindDevDep`)());
        t.end();
    })
        .catch(t.end);
}));
//# sourceMappingURL=index.js.map